aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-12 11:23:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-13 08:43:44 +0000
commit5ca5095ab7d025e39f7bced9490c19225dd4737e (patch)
tree40fd8145a081a529e3e7964a96c13b5219b0d4fa /x11
parentbc5b192cdf61c762c44a454679f87dc27e5f2455 (diff)
downloadaports-5ca5095ab7d025e39f7bced9490c19225dd4737e.tar.gz
aports-5ca5095ab7d025e39f7bced9490c19225dd4737e.tar.bz2
aports-5ca5095ab7d025e39f7bced9490c19225dd4737e.tar.xz
x11/xdpyinfo: new aport
display information utility for X
Diffstat (limited to 'x11')
-rw-r--r--x11/xdpyinfo/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/xdpyinfo/APKBUILD b/x11/xdpyinfo/APKBUILD
new file mode 100644
index 0000000000..09f9affcc5
--- /dev/null
+++ b/x11/xdpyinfo/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xdpyinfo
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="display information utility for X"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+makedepends="pkgconfig libxtst-dev"
+depends=
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="b7cbab6cbcd12bf7ad65dbc12d86e104 xdpyinfo-1.0.3.tar.bz2"